nsd-checkconf(8)

NAME
nsd-checkconf - NSD configuration file checker.

SYNOPSIS
nsd-checkconf [-v] [-f] [-h] [-o option] [-z zonename] [-p pattern] [-s keyname] [-t tlsauthname] configfile

DESCRIPTION
nsd-checkconf reads a configuration file. It prints parse errors to standard error, and performs additional checks on the contents. The configfile format is described in nsd.conf(5).

The utility of this program is to check a config file for errors before using it in nsd(8). This program can also be used for shell scripts to access the nsd config file, using the -o and -z options.

OPTIONS

-v  After reading print the options to standard output in configfile format. Without this option, only success or parse errors are reported.

-f  Print full pathname when used with files, like with -o pidfile. This includes the chroot in the way it is applied to the pidfile.

-h  Print usage help information and exit.

-o option
    Return only this option from the config file. This option can be used in conjunction with the -z and the -p option, or without them to query the server: section. The special value zones prints out a list of configured zones. The special value patterns prints out a list of configured patterns.

    This option can be used to parse the config file from the shell. If the -z option is given, but the -o option is not given, nothing is printed.

-s keyname
    Prints the key secret (base64 blob) configured for this key in the config file. Used to help shell scripts parse the config file.

-t tls-auth
    Prints the authentication domain name configured for this tls-auth clause in the config file. Used to help shell scripts parse the config file.

-p pattern
    Return the option specified with -o for the given pattern name.

-z zonename
    Return the option specified with -o for zone 'zonename'.

    If this option is not given, the server section of the config file is used.

    The -o, -s and -z option print configfile options to standard output.

FILES

/etc/nsd/nsd.conf
    default NSD configuration file

SEE ALSO
nsd(8), nsd.conf(5), nsd-control(8)

AUTHORS
NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.